<template>
  <ui-dialog
    :show="show"
    title="Having fun yet?"
    content="Are you having fun yet?"
    @close="show = false"
  >
    <template #icon>
      <face-smile-icon class="stroke-2" />
    </template>
    <template #buttons="{ close }">
      <ui-button @click="close()">Of course!</ui-button>
    </template>
  </ui-dialog>

  <ui-button @click="show = true">Show Dialog</ui-button>
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import { FaceSmileIcon } from '@heroicons/vue/24/outline'

const show = ref(false)
</script>
